Skip to main content
POST
/
v1
/
users
/
{user_id}
/
assets
/
reports
Create an assets report
curl --request POST \
  --url https://prod.truv.com/v1/users/{user_id}/assets/reports/ \
  --header 'Content-Type: application/json' \
  --header 'X-Access-Client-Id: <api-key>' \
  --header 'X-Access-Secret: <api-key>' \
  --data '
{
  "days_requested": 60,
  "as_of_date": "2024-01-01T00:00:00.000Z",
  "large_deposit_threshold": {
    "fixed_amount": 500,
    "sales_price": 500005,
    "qualifying_monthly_income": 50005,
    "loan_type": "OTHER"
  },
  "is_voe": false,
  "account_ids": [
    "<string>"
  ]
}
'
{
  "report_id": "7d4fcb86b81a4880955beea558092391",
  "created_at": "2022-05-04T11:30:00.000Z",
  "completed_at": "2022-05-04T12:00:00.000Z",
  "days_requested": 60,
  "large_deposit_threshold": 500,
  "is_voe": true,
  "borrower": {
    "id": "24d7e80942ce4ad58a93f70ce4115f5c",
    "external_user_id": "12345",
    "created_at": "2022-05-04T11:30:00.000Z",
    "updated_at": "2022-05-04T12:00:00.000Z",
    "first_name": "John",
    "last_name": "Doe",
    "email": "john.doe@example.com",
    "phone": "+14155554193",
    "ssn": "222233333"
  },
  "links": [
    {
      "link_id": "150491a20bdb4292bb2a2ad8554fecba",
      "accounts": [
        {
          "id": "4d601895417c46ec99633978db12a866",
          "created_at": "2022-05-04T11:30:00.000Z",
          "updated_at": "2022-05-04T12:00:00.000Z",
          "days_available": 365,
          "balances": {
            "currency_code": "<string>",
            "balance": "<string>",
            "available_balance": "<string>",
            "credit_limit": "<string>"
          },
          "transactions": [
            {
              "id": "7d4fcb86b81a4880955beea558092391",
              "external_id": "<string>",
              "categories": [
                "<string>"
              ],
              "status": "POSTED",
              "type": "DEBIT",
              "transacted_at": "2022-05-04T12:00:00.000Z",
              "amount": "<string>",
              "currency_code": "<string>",
              "check_number": "<string>",
              "description": "<string>",
              "posted_at": "2022-05-05T15:30:00.000Z",
              "merchant_name": "Starbucks",
              "merchant_category_code": 5967,
              "ending_daily_balance": 123,
              "is_direct_deposit": true,
              "is_subscription": true
            }
          ],
          "owners": [
            {
              "id": "2b623fa2fa9e49cea17d9692caa884c5",
              "full_name": "John Doe",
              "email": "john.doe@example.com",
              "phone": "14155554193",
              "address": {
                "street": "1 Morgan Ave",
                "city": "Los Angeles",
                "state": "CA",
                "zip": "90210",
                "country": "US"
              },
              "relation_type": "PRIMARY"
            }
          ],
          "type": "<string>",
          "subtype": "<string>",
          "mask": "<string>",
          "routing_number": "55999876",
          "nickname": "<string>",
          "balance_as_of": "2025-05-04T12:00:00.000Z",
          "summary": {
            "avg_30": "<string>",
            "avg_60": "<string>",
            "avg_90": "<string>",
            "currency_code": "<string>",
            "balance": "<string>"
          },
          "same_owner_as_requested": true,
          "direct_deposit_from_employer": true,
          "nsf": 123
        }
      ],
      "tracking_info": "<string>",
      "provider": "<string>",
      "provider_name": "<string>"
    }
  ],
  "summary": {
    "avg_30": "<string>",
    "avg_60": "<string>",
    "avg_90": "<string>",
    "currency_code": "<string>",
    "balance": "<string>"
  },
  "as_of_date": "2022-05-01T00:00:00.000Z"
}

Authorizations

X-Access-Client-Id
string
header
required

Client ID

X-Access-Secret
string
header
required

Client Access Key

Path Parameters

user_id
string
required

Body

application/json

Verification of Assets report parameters.

days_requested
integer
default:60

The specific duration in days for which the report is requested to be generated.

Required range: 30 <= x <= 730
as_of_date
string<date>

The end date for the report period. Start date will be calculated as as_of_date - days_requested. Defaults to current date if not provided.

Example:

"2024-01-01T00:00:00.000Z"

large_deposit_threshold
object
is_voe
boolean
default:false

A boolean parameter to request a deposit based Verification of Employment report.

account_ids
string[]

List of bank account IDs to include in VOA report. All accounts will be included if not set.

Required array length: 1 - 100 elements
Maximum string length: 32

Response

report_id
string
required
read-only

Unique identifier of the report.

Maximum string length: 32
Example:

"7d4fcb86b81a4880955beea558092391"

created_at
string<date-time>
required
read-only

Timestamp when the report was created.

Example:

"2022-05-04T11:30:00.000Z"

completed_at
string<date-time>
required
read-only

Timestamp when the report was completed.

Example:

"2022-05-04T12:00:00.000Z"

days_requested
integer<int32>
required
read-only

Number of days for which transactions are requested.

Example:

60

large_deposit_threshold
integer<int32> | null
required
read-only

Amount that must be met or exceeded for deposits to be marked as large.

Example:

500

is_voe
boolean
required
read-only

Indicates whether the report is a Deposit-based Verification of Employment (DVOE).

borrower
object
required

List of assets links

summary
object
required
as_of_date
string<date>
read-only

The end date for the report period. Start date will be calculated as as_of_date - days_requested. Defaults to current date if not provided.

Example:

"2022-05-01T00:00:00.000Z"